%define section	free

Name:		jgroups
Version:	2.2
Release:	1jpp
Epoch:		0
Summary:	Toolkit for reliable multicast communication.
License:	LGPL
URL:		http://www.jgroups.org/
Group:		Development/LIbraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	http://download.sourceforge.net/sourceforge/javagroups/JGroups-2.2.src.zip
Requires:	bsh
Requires:	concurrent
Requires:	jaxp_parser_impl
Requires:	jms
Requires:	log4j
BuildRequires:	ant
BuildRequires:	ant-optional
BuildRequires:	bsh
BuildRequires:	concurrent
BuildRequires:	jaxp_parser_impl
BuildRequires:	jms
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	log4j
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
JGroups is a toolkit for reliable multicast communication. (Note that
this doesn't necessarily mean IP Multicast, JGroups can also use
transports such as TCP). It can be used to create groups of processes
whose members can send messages to each other. The main features include

    * Group creation and deletion. Group members can be spread across
      LANs or WANs
    * Joining and leaving of groups
    * Membership detection and notification about joined/left/crashed members
    * Detection and removal of crashed members
    * Sending and receiving of member-to-group messages (point-to-multipoint)
    * Sending and receiving of member-to-member messages (point-to-point)

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description	javadoc
Javadoc for %{name}.

%prep
%setup -q -n JGroups-2.2.src
find . -name "*.jar" -exec rm -f {} \;

%build
export CLASSPATH=$(build-classpath bsh concurrent jaxp_parser_impl jms log4j)
ant jar javadoc

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 dist/%{name}-all.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)

# javadoc
install -p -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -sf %{name}-%{version} %{name})

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%ghost %dir %{_javadocdir}/%{name}

%changelog
* Sun Jan 25 2004 David Walluck <david@anti-microsoft.org> 0:2.2-1jpp
- update source
